Package net.snowflake.client.jdbc

## Enum RetryContextManager.RetryHook

- java.lang.Object
- - java.lang.Enum<RetryContextManager.RetryHook>
  - - net.snowflake.client.jdbc.RetryContextManager.RetryHook

All Implemented Interfaces:
  `Serializable`, `Comparable<RetryContextManager.RetryHook>`

Enclosing class:
  RetryContextManager

    public static enum RetryContextManager.RetryHook
    extends Enum<RetryContextManager.RetryHook>

Enumeration for different retry hook strategies.

### Enum Constant Summary

Enum Constants
`ALWAYS_BEFORE_RETRY` Always execute the registered retry callbacks on every retry.

### Method Summary

All Methods Static Methods Concrete Methods
`static RetryContextManager.RetryHook` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static RetryContextManager.RetryHook[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ALWAYS_BEFORE_RETRY

    public static final RetryContextManager.RetryHook ALWAYS_BEFORE_RETRY

Always execute the registered retry callbacks on every retry.

### Method Detail

#### values

    public static RetryContextManager.RetryHook[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (RetryContextManager.RetryHook c : RetryContextManager.RetryHook.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static RetryContextManager.RetryHook valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null